> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opnform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workspace

> Requires `workspaces-write`.

# Create Workspace

Create a new workspace and automatically add the current user as an **admin** of that workspace.

## Authentication & Scope

Requires the `workspaces-write` ability.

## Request

```http theme={null}
POST /open/workspaces/create HTTP/1.1
Host: api.opnform.com
Content-Type: application/json
Authorization: Bearer <token>
```

### Body Parameters

| Field | Type   | Required | Description                          |
| ----- | ------ | -------- | ------------------------------------ |
| name  | string | Yes      | Display name of the workspace.       |
| emoji | string | No       | Optional emoji/icon to represent it. |

Example:

```json theme={null}
{
  "name": "Design Team",
  "emoji": "🎨"
}
```

## Response

`200 OK` – Returns the newly created workspace information.

```json theme={null}
{
  "message": "Workspace created.",
  "workspace_id": 7,
  "workspace": {
    "id": 7,
    "name": "Design Team",
    "icon": "🎨",
    "settings": {},
    "max_file_size": 25,
    "is_readonly": false
  }
}
```

`403 Forbidden` – Token lacks `workspaces-write` or user not allowed.


## OpenAPI

````yaml post /open/workspaces/create
openapi: 3.0.1
info:
  title: OpnForm API
  description: API for interacting with OpnForm, primarily used for Zapier integration
  version: 1.0.0
servers:
  - url: https://api.opnform.com
security:
  - bearerAuth: []
tags:
  - name: Workspaces
    description: Create and manage workspaces.
  - name: Workspace Users
    description: Manage users within a workspace.
  - name: Forms
    description: Manage and retrieve forms.
  - name: Submissions
    description: Access and manage form submissions.
  - name: Integrations
    description: Manage form integrations (webhooks) via API.
  - name: Zapier
    description: Legacy endpoints for the Zapier integration.
paths:
  /open/workspaces/create:
    post:
      tags:
        - Workspaces
      summary: Create Workspace
      description: Requires `workspaces-write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                emoji:
                  type: string
                  description: Emoji or icon representing the workspace.
      responses:
        '200':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  workspace_id:
                    type: number
                  workspace:
                    $ref: '#/components/schemas/Workspace'
        '403':
          description: Forbidden
      security:
        - bearerAuth: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: number
          description: The unique identifier for the workspace.
          example: 1
          readOnly: true
        name:
          type: string
          description: The name of the workspace.
          example: My Marketing Team
        icon:
          type: string
          description: The emoji or icon representing the workspace.
          example: 🚀
        settings:
          type: object
          description: General settings for the workspace.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Personal Access Token
      x-bearer-scopemap:
        workspaces-read: Read access to workspaces
        workspaces-write: Write access to workspaces
        workspace-users-read: Read access to workspace users
        workspace-users-write: Write access to workspace users
        forms-read: Read access to forms
        forms-write: Write access to forms
        manage-integrations: Manage form integrations (webhooks)

````